import { z } from "zod";
export declare const ZDisplay: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    surveyId: z.ZodString;
    person: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }>>;
    status: z.ZodEnum<["seen", "responded"]>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    status?: "seen" | "responded";
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    status?: "seen" | "responded";
}>;
export type TDisplay = z.infer<typeof ZDisplay>;
export declare const ZDisplayInput: z.ZodObject<{
    surveyId: z.ZodString;
    personId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    surveyId?: string;
    personId?: string;
}, {
    surveyId?: string;
    personId?: string;
}>;
export type TDisplayInput = z.infer<typeof ZDisplayInput>;
