import { z } from "zod";
export declare const ZProduct: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    name: z.ZodString;
    teamId: z.ZodString;
    brandColor: z.ZodString;
    recontactDays: z.ZodNumber;
    formbricksSignature: z.ZodBoolean;
    placement: z.ZodEnum<["bottomLeft", "bottomRight", "topLeft", "topRight", "center"]>;
    clickOutsideClose: z.ZodBoolean;
    darkOverlay: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    teamId?: string;
    brandColor?: string;
    recontactDays?: number;
    formbricksSignature?: boolean;
    placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
    clickOutsideClose?: boolean;
    darkOverlay?: boolean;
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    teamId?: string;
    brandColor?: string;
    recontactDays?: number;
    formbricksSignature?: boolean;
    placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
    clickOutsideClose?: boolean;
    darkOverlay?: boolean;
}>;
export type TProduct = z.infer<typeof ZProduct>;
