import { z } from "zod";
export declare const ZResponseData: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
export type TResponseData = z.infer<typeof ZResponseData>;
export declare const ZResponsePersonAttributes: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>>;
export type TResponsePersonAttributes = z.infer<typeof ZResponsePersonAttributes>;
export declare const ZResponseNoteUser: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    name?: string;
}, {
    id?: string;
    name?: string;
}>;
export type TResponseNoteUser = z.infer<typeof ZResponseNoteUser>;
declare const ZResponseNote: z.ZodObject<{
    updatedAt: z.ZodDate;
    createdAt: z.ZodDate;
    id: z.ZodString;
    text: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        name?: string;
    }, {
        id?: string;
        name?: string;
    }>;
}, "strip", z.ZodTypeAny, {
    updatedAt?: Date;
    createdAt?: Date;
    id?: string;
    text?: string;
    user?: {
        id?: string;
        name?: string;
    };
}, {
    updatedAt?: Date;
    createdAt?: Date;
    id?: string;
    text?: string;
    user?: {
        id?: string;
        name?: string;
    };
}>;
export type TResponseNote = z.infer<typeof ZResponseNote>;
declare const ZResponse: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    surveyId: z.ZodString;
    person: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }>>;
    personAttributes: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
    notes: z.ZodArray<z.ZodObject<{
        updatedAt: z.ZodDate;
        createdAt: z.ZodDate;
        id: z.ZodString;
        text: z.ZodString;
        user: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            name?: string;
        }, {
            id?: string;
            name?: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }, {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }>, "many">;
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        name: z.ZodString;
        environmentId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    personAttributes?: Record<string, string | number>;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    notes?: {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }[];
    tags?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }[];
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    personAttributes?: Record<string, string | number>;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    notes?: {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }[];
    tags?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }[];
}>;
export type TResponse = z.infer<typeof ZResponse>;
export declare const ZResponseInput: z.ZodObject<{
    surveyId: z.ZodString;
    personId: z.ZodNullable<z.ZodString>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
    meta: z.ZodOptional<z.ZodObject<{
        userAgent: z.ZodOptional<z.ZodObject<{
            browser: z.ZodOptional<z.ZodString>;
            device: z.ZodOptional<z.ZodString>;
            os: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            browser?: string;
            device?: string;
            os?: string;
        }, {
            browser?: string;
            device?: string;
            os?: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    }, {
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    }>>;
}, "strip", z.ZodTypeAny, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    meta?: {
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    };
}, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    meta?: {
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    };
}>;
export type TResponseInput = z.infer<typeof ZResponseInput>;
export declare const ZResponseUpdateInput: z.ZodObject<{
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
}, "strip", z.ZodTypeAny, {
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}, {
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}>;
export type TResponseUpdateInput = z.infer<typeof ZResponseUpdateInput>;
export {};
