import { z } from "zod";
export declare const ZWebhook: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    url: z.ZodString;
    environmentId: z.ZodString;
    triggers: z.ZodArray<z.ZodEnum<["responseFinished", "responseCreated", "responseUpdated"]>, "many">;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    url?: string;
    environmentId?: string;
    triggers?: ("responseFinished" | "responseCreated" | "responseUpdated")[];
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    url?: string;
    environmentId?: string;
    triggers?: ("responseFinished" | "responseCreated" | "responseUpdated")[];
}>;
export type TWebhook = z.infer<typeof ZWebhook>;
export declare const ZWebhookInput: z.ZodObject<{
    url: z.ZodString;
    triggers: z.ZodArray<z.ZodEnum<["responseFinished", "responseCreated", "responseUpdated"]>, "many">;
    surveyIds: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    url?: string;
    triggers?: ("responseFinished" | "responseCreated" | "responseUpdated")[];
    surveyIds?: string[];
}, {
    url?: string;
    triggers?: ("responseFinished" | "responseCreated" | "responseUpdated")[];
    surveyIds?: string[];
}>;
export type TWebhookInput = z.infer<typeof ZWebhookInput>;
